Package org.gradle.caching

# Interface BuildCacheEntryReader

@Incubating public interface BuildCacheEntryReader
A reader for build cache entries.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`void`
`readFrom(InputStream input)`
Read a build cache entry from the given input stream.

## Method Details

### readFrom

void readFrom(InputStream input) throws IOException
Read a build cache entry from the given input stream.

The given input stream will be closed by this method.

Parameters:
  `input` - input stream that contains the build cache entry
Throws:
  `IOException` - when an I/O error occurs when reading the cache entry from the given input stream